﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using IDTechSDK;
namespace UniPayI_V_Demo
{
    public struct IDTDeviceInfo
    {
        public IDTDeviceInfo(IDT_DEVICE_Types _type, Image _productPicture, string _name, bool _selected,bool _connected, Rectangle _drawRectangle )
        {
            type = _type;
            productPicture = _productPicture;
            name = _name;
            selected = _selected;
            connected = _connected;
            drawRectangle = _drawRectangle;

        }
        public void setRectangle(Rectangle _drawRectangle)
        {
            drawRectangle = _drawRectangle;
        }

        public void setSelected(bool _selected)
        {
            selected = _selected;
        }
        public void setConnected(bool _connected)
        {
            connected = _connected;
        }

        public IDT_DEVICE_Types type { get; set; }//Message ID or Message String
        public Image productPicture { get; set; }//0:raw, 1: language select code
        public string name { get; set; }
        public bool selected { get; set; }
        public bool connected { get; set; }
        public Rectangle drawRectangle { get; set; }
    }
   
}
